Package org.eclipse.net4j.db

## Interface IDBDatabase

- All Superinterfaces:
    `org.eclipse.net4j.util.collection.Closeable`, `org.eclipse.net4j.util.container.IContainer<IDBConnection>`, `IDBConnectionProvider`, `IDBConnectionProvider2`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.security.IUserAware`

      public interface IDBDatabase
      extends org.eclipse.net4j.util.container.IContainer<IDBConnection>, IDBConnectionProvider2, org.eclipse.net4j.util.collection.Closeable

  Since:
    4.2
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `IDBDatabase.RunnableWithSchema` |
    `static interface` | `IDBDatabase.SchemaChangedEvent` |

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `org.eclipse.net4j.util.container.IContainer.Modifiable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DEFAULT_STATEMENT_CACHE_CAPACITY` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IDBAdapter` | `getAdapter()` |
    `IDBConnection` | `getConnection()` | Returns a connection.
    `IDBConnection[]` | `getConnections()` |
    `IDBSchema` | `getSchema()` |
    `IDBSchemaTransaction` | `getSchemaTransaction()` | Deprecated. As of 4.7 no longer supported in favor of support for multiple schema transactions.
    `int` | `getStatementCacheCapacity()` |
    `IDBSchemaTransaction` | `openSchemaTransaction()` |
    `IDBSchemaTransaction` | `openSchemaTransaction​(IDBConnection connection)` |
    `void` | `setStatementCacheCapacity​(int statementCacheCapacity)` |
    `void` | `updateSchema​(IDBDatabase.RunnableWithSchema runnable)` |

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

      `getUserID`

- - ### Field Detail

    - #### DEFAULT_STATEMENT_CACHE_CAPACITY

          static final int DEFAULT_STATEMENT_CACHE_CAPACITY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getAdapter

          IDBAdapter getAdapter()

    - #### getSchema

          IDBSchema getSchema()

    - #### openSchemaTransaction

          IDBSchemaTransaction openSchemaTransaction()

    - #### openSchemaTransaction

          IDBSchemaTransaction openSchemaTransaction​(IDBConnection connection)

      Since:
        4.7

    - #### getSchemaTransaction

          @Deprecated
          IDBSchemaTransaction getSchemaTransaction()

      Deprecated.
      As of 4.7 no longer supported in favor of support for multiple schema transactions.

    - #### updateSchema

          void updateSchema​(IDBDatabase.RunnableWithSchema runnable)

    - #### getConnection

          IDBConnection getConnection()

      Description copied from interface: `IDBConnectionProvider`
      Returns a connection.
      Specified by:
        `getConnection` in interface `IDBConnectionProvider`

    - #### getConnections

          IDBConnection[] getConnections()

    - #### getStatementCacheCapacity

          int getStatementCacheCapacity()

    - #### setStatementCacheCapacity

          void setStatementCacheCapacity​(int statementCacheCapacity)